# Method: accounts.emailPreferences.getEmailPreferences

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/getEmailPreferences#try-it)

Returns the email preferences for a Merchant Center account user. This service only permits retrieving and updating email preferences for the authenticated user. Use the name=accounts/\*/users/me/emailPreferences alias to get preferences for the authenticated user.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{name=accounts/*/users/*/emailPreferences}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `EmailPreferences` resource. Format: `accounts/{account}/users/{email}/emailPreferences` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences#EmailPreferences`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).